> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationslocators images

> This operation adds an image to the collection of images representing a location. These images are displayed
to end users when browsing a collection of Locations (Venues and Lower Venues) at which the user may wish to
reserve an Asset (such as a workspace or other asset type).

The requesting User must have the following rights to perform this task:

This operation requires a Multipart form data object to upload an Image file.

This operation returns a Location Image Data value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/locators/{sysidLocator}/images
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/locators/{sysidLocator}/images:
    post:
      tags:
        - LocationService
      description: >-
        This operation adds an image to the collection of images representing a
        location. These images are displayed

        to end users when browsing a collection of Locations (Venues and Lower
        Venues) at which the user may wish to

        reserve an Asset (such as a workspace or other asset type).


        The requesting User must have the following rights to perform this task:


        This operation requires a Multipart form data object to upload an Image
        file.


        This operation returns a Location Image Data value.
      operationId: addImageToLocator
      parameters:
        - name: sysidLocator
          in: path
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        required: false
        content:
          multipart/form-data:
            examples:
              example:
                value: ''
            schema:
              type: object
              title: null Data
              description: >-
                This operation adds an image to the collection of images
                representing a location. These images are displayed

                to end users when browsing a collection of Locations (Venues and
                Lower Venues) at which the user may wish to

                reserve an Asset (such as a workspace or other asset type).


                The requesting User must have the following rights to perform
                this task:


                This operation requires a Multipart form data object to upload
                an Image file.


                This operation returns a Location Image Data value.
          application/json:
            examples:
              example:
                value:
                  formDataMap:
                    property1:
                      - bodyAsString: ...
                        fileName: ...
                        contentTypeFromMessage: true
                        body: {}
                        mediaType:
                          parameters:
                            property1: ...
                            property2: ...
                          wildcardType: true
                          type: ...
                          wildcardSubtype: true
                          subtype: ...
                        headers:
                          property1:
                            - ...
                            - ...
                          property2:
                            - ...
                            - ...
                      - bodyAsString: ...
                        fileName: ...
                        contentTypeFromMessage: true
                        body: {}
                        mediaType:
                          parameters:
                            property1: ...
                            property2: ...
                          wildcardType: true
                          type: ...
                          wildcardSubtype: true
                          subtype: ...
                        headers:
                          property1:
                            - ...
                            - ...
                          property2:
                            - ...
                            - ...
                    property2:
                      - bodyAsString: ...
                        fileName: ...
                        contentTypeFromMessage: true
                        body: {}
                        mediaType:
                          parameters:
                            property1: ...
                            property2: ...
                          wildcardType: true
                          type: ...
                          wildcardSubtype: true
                          subtype: ...
                        headers:
                          property1:
                            - ...
                            - ...
                          property2:
                            - ...
                            - ...
                      - bodyAsString: ...
                        fileName: ...
                        contentTypeFromMessage: true
                        body: {}
                        mediaType:
                          parameters:
                            property1: ...
                            property2: ...
                          wildcardType: true
                          type: ...
                          wildcardSubtype: true
                          subtype: ...
                        headers:
                          property1:
                            - ...
                            - ...
                          property2:
                            - ...
                            - ...
                  parts:
                    - bodyAsString: ...
                      fileName: ...
                      contentTypeFromMessage: true
                      body: {}
                      mediaType:
                        parameters:
                          property1: ...
                          property2: ...
                        wildcardType: true
                        type: ...
                        wildcardSubtype: true
                        subtype: ...
                      headers:
                        property1:
                          - ...
                          - ...
                        property2:
                          - ...
                          - ...
                    - bodyAsString: ...
                      fileName: ...
                      contentTypeFromMessage: true
                      body: {}
                      mediaType:
                        parameters:
                          property1: ...
                          property2: ...
                        wildcardType: true
                        type: ...
                        wildcardSubtype: true
                        subtype: ...
                      headers:
                        property1:
                          - ...
                          - ...
                        property2:
                          - ...
                          - ...
                  preamble: ...
            schema:
              $ref: '#/components/schemas/MultipartFormDataInput'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    defaultImage: true
                    name: ...
                    displayOrder: 12345
                    width: 12345
                    height: 12345
                    thumbnailSource: ...
                    description: ...
                    sysidLocatorNode: 12345
                    sysidLocationImage: 12345
                    imageSource: ...
              schema:
                $ref: '#/components/schemas/LocationImageData'
          description: LocationImageData
components:
  schemas:
    MultipartFormDataInput:
      type: object
      title: MultipartFormDataInput
      allOf:
        - $ref: '#/components/schemas/MultipartInput'
        - properties:
            formDataMap:
              type: object
              additionalProperties:
                type: array
                items:
                  $ref: '#/components/schemas/InputPart'
      example:
        formDataMap:
          property1:
            - bodyAsString: ...
              fileName: ...
              contentTypeFromMessage: true
              body: {}
              mediaType:
                parameters:
                  property1: ...
                  property2: ...
                wildcardType: true
                type: ...
                wildcardSubtype: true
                subtype: ...
              headers:
                property1:
                  - ...
                  - ...
                property2:
                  - ...
                  - ...
            - bodyAsString: ...
              fileName: ...
              contentTypeFromMessage: true
              body: {}
              mediaType:
                parameters:
                  property1: ...
                  property2: ...
                wildcardType: true
                type: ...
                wildcardSubtype: true
                subtype: ...
              headers:
                property1:
                  - ...
                  - ...
                property2:
                  - ...
                  - ...
          property2:
            - bodyAsString: ...
              fileName: ...
              contentTypeFromMessage: true
              body: {}
              mediaType:
                parameters:
                  property1: ...
                  property2: ...
                wildcardType: true
                type: ...
                wildcardSubtype: true
                subtype: ...
              headers:
                property1:
                  - ...
                  - ...
                property2:
                  - ...
                  - ...
            - bodyAsString: ...
              fileName: ...
              contentTypeFromMessage: true
              body: {}
              mediaType:
                parameters:
                  property1: ...
                  property2: ...
                wildcardType: true
                type: ...
                wildcardSubtype: true
                subtype: ...
              headers:
                property1:
                  - ...
                  - ...
                property2:
                  - ...
                  - ...
        parts:
          - bodyAsString: ...
            fileName: ...
            contentTypeFromMessage: true
            body: {}
            mediaType:
              parameters:
                property1: ...
                property2: ...
              wildcardType: true
              type: ...
              wildcardSubtype: true
              subtype: ...
            headers:
              property1:
                - ...
                - ...
              property2:
                - ...
                - ...
          - bodyAsString: ...
            fileName: ...
            contentTypeFromMessage: true
            body: {}
            mediaType:
              parameters:
                property1: ...
                property2: ...
              wildcardType: true
              type: ...
              wildcardSubtype: true
              subtype: ...
            headers:
              property1:
                - ...
                - ...
              property2:
                - ...
                - ...
        preamble: ...
    LocationImageData:
      type: object
      title: LocationImageData
      required:
        - defaultImage
        - width
        - height
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            defaultImage:
              type: boolean
            name:
              type: string
            displayOrder:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            description:
              type: string
            sysidLocatorNode:
              type: integer
              format: int32
            sysidLocationImage:
              type: integer
              format: int32
            imageSource:
              type: string
      example:
        defaultImage: true
        name: ...
        displayOrder: 12345
        width: 12345
        height: 12345
        thumbnailSource: ...
        description: ...
        sysidLocatorNode: 12345
        sysidLocationImage: 12345
        imageSource: ...
    MultipartInput:
      type: object
      title: MultipartInput
      properties:
        parts:
          type: array
          items:
            $ref: '#/components/schemas/InputPart'
        preamble:
          type: string
      example:
        parts:
          - bodyAsString: ...
            fileName: ...
            contentTypeFromMessage: true
            body: {}
            mediaType:
              parameters:
                property1: ...
                property2: ...
              wildcardType: true
              type: ...
              wildcardSubtype: true
              subtype: ...
            headers:
              property1:
                - ...
                - ...
              property2:
                - ...
                - ...
          - bodyAsString: ...
            fileName: ...
            contentTypeFromMessage: true
            body: {}
            mediaType:
              parameters:
                property1: ...
                property2: ...
              wildcardType: true
              type: ...
              wildcardSubtype: true
              subtype: ...
            headers:
              property1:
                - ...
                - ...
              property2:
                - ...
                - ...
        preamble: ...
    InputPart:
      type: object
      title: InputPart
      required:
        - contentTypeFromMessage
      properties:
        bodyAsString:
          type: string
        fileName:
          type: string
        contentTypeFromMessage:
          type: boolean
        body:
          $ref: '#/components/schemas/InputStream'
        mediaType:
          $ref: '#/components/schemas/MediaType'
        headers:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
      example:
        bodyAsString: ...
        fileName: ...
        contentTypeFromMessage: true
        body: {}
        mediaType:
          parameters:
            property1: ...
            property2: ...
          wildcardType: true
          type: ...
          wildcardSubtype: true
          subtype: ...
        headers:
          property1:
            - ...
            - ...
          property2:
            - ...
            - ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    InputStream:
      type: object
      title: InputStream
      example: {}
    MediaType:
      type: object
      title: MediaType
      required:
        - wildcardType
        - wildcardSubtype
      properties:
        parameters:
          type: object
          additionalProperties:
            type: string
        wildcardType:
          type: boolean
        type:
          type: string
        wildcardSubtype:
          type: boolean
        subtype:
          type: string
      example:
        parameters:
          property1: ...
          property2: ...
        wildcardType: true
        type: ...
        wildcardSubtype: true
        subtype: ...

````